<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * @package Contact :  CodeIgniter Contact Form Ajax
 *
 * @author TechArise Team
 *
 * @email  info@techarise.com
 *   
 * Description of Contact Form Ajax Controller
 */
if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Contact extends CI_Controller 
{
    // construct
    public function __construct() 
    {
        parent::__construct();   
        $this->load->model('Site', 'site');     
    }
    // index page 
    public function index() 
    {
        $data = array();
        $data['metaDescription'] = 'Contact Form Ajax';
        $data['metaKeywords'] = 'Contact Form Ajax';
        $data['title'] = "Contact Form Ajax - TechArise";
        $data['breadcrumbs'] = array(' Contact Form Ajax' => '#'); 
        $this->load->view('contact/index', $data);
    } 
    // submit contact form
    // New user registration data handle 
    public function createUser()
    {
        
        $json = array();
        
            $name = $this->input->post('name');
            $email     = $this->input->post('email');           
            $contactNo = $this->input->post('contact_no');
            $comment  = $this->input->post('comment');
            $timeStamp = time();
            
            if(empty(trim($name))){
                $json['error']['name'] = 'Please enter full name';
            }

            if(empty(trim($email))){
                $json['error']['email'] = 'Please enter email address';
            }

            if ($this->site->validateEmail($email) == FALSE) {
                $json['error']['email'] = 'Please enter valid email address';
            }
            
            if($this->site->validateMobile($contactNo) == FALSE) {
                $json['error']['contactno'] = 'Please enter valid contact no';
            }

            if(empty($comment)){
                $json['error']['comment'] = 'Please enter comment';
            }

            if(empty($json['error'])){
                $this->site->setName(trim($name));
                $this->site->setEmail($email);
                $this->site->setContactNo($contactNo);
                $this->site->setComment($comment);
                $this->site->setTimeStamp($timeStamp);
                try {
                 $last_id = $this->site->create();
                } catch (Exception $e) {
                    var_dump($e->getMessage());
                }
                
                if (!empty($last_id) && $last_id > 0) {
                    
                    $json['status'] = 'success';
                }
            }
        echo json_encode($json);
    }
    
}